################################################################
# Copy the data from an existing custom entity into a summon
# marker (default mode). Remove the old custom entity.
#
# Summon markers are the main way of naturally summoning a 
# custom entity. 
#
#
# @as = marker[DM]
# @at = marker[DM]
# @args = {
#   type: string
#   variant: string
#   hb_height: float
#   hb_width: float
#   hb_xOff: float
#   hb_yOff: float
#   hb_zOff: float
# }
################################################################


$summon minecraft:marker ~ ~ ~ {Tags:["UF_ENTITY", "UF_ENTITY.SM", "UF_ENTITY.SM.init"], data:{summon:"uf_api:.c_entity/.deco/.summon/advanced", type:"$(type)", variant:"$(variant)", hb_height:$(hb_height), hb_width:$(hb_width), hb_xOff:$(hb_xOff), hb_yOff:$(hb_yOff), hb_zOff:$(hb_zOff)}}
execute as @n[tag=UF_ENTITY.SM.init] run function uf_entity:.c_entity/.deco/.to_sm/adjust_rotation
function uf_api:.c_entity/.deco/.kill/this