################################################################
# Establish the data and function context.
#
#
# @as = entity
# @args = {
#   type: string
#   variant: string
#   loot_table: string[loot_table]
#   hb_height: float
#   hb_width: float
# }
################################################################


#------------------------ DATA CONTEXT ------------------------#
$data modify storage uf_entity:lootable summon.input.type set value "$(type)"
$data modify storage uf_entity:lootable summon.input.variant set value "$(variant)"
$data modify storage uf_entity:lootable summon.input.loot_table set value "$(loot_table)"
$data modify storage uf_entity:lootable summon.input.hb_height set value $(hb_height)
$data modify storage uf_entity:lootable summon.input.hb_width set value $(hb_width)
#--------------------------------------------------------------#


#---------------------- FUNCTION CONTEXT ----------------------#
execute \
  summon minecraft:marker \
  run function uf_entity:.c_entity/.lootable/.summon/default \
    with storage uf_entity:lootable summon.input
#--------------------------------------------------------------#