################################################################
# Copy the data from an existing custom entity into a summon
# marker (default mode). Remove the old custom entity.
#
# Summon markers are the main way of naturally summoning a 
# custom entity. 
#
#
# @as = marker[DM]
# @at = marker[DM]
# @args = {
#   type: string
#   loot_table: string[loot_table]
#   variant: string
#   hb_height: float
#   hb_width: float
# }
################################################################


$summon minecraft:marker ~ ~ ~ {Tags:["UF_ENTITY", "UF_ENTITY.SM", "UF_ENTITY.SM.init"], data:{summon:"uf_api:.c_entity/.lootable/.summon/default", type:"$(type)", variant:"$(variant)", loot_table:"$(loot_table)", hb_height:$(hb_height), hb_width:$(hb_width)}}
execute as @n[tag=UF_ENTITY.SM.init] run function uf_entity:.c_entity/.lootable/.to_sm/adjust_rotation
function uf_api:.c_entity/.lootable/.kill/this